<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

final class DatabaseSeeder extends Seeder
{
    use WithoutModelEvents;

    public function run(): void
    {
        $this->call([FoundationSeeder::class]);

        if (! app()->environment('production')) {
            $this->call([LocalDemoSeeder::class]);
        }
    }
}
